New filter not present in Ui

Hi,

I have Shotcut 19.10.20 installed on Archlinux and saw that 19.09 include elastic scale. But in my interface it doesn’t seems to be available … Any way to find or enable it ?

$ pacman -Q shotcut
shotcut 19.10.20-1
$ pacman -Q mlt    
mlt 6.18.0-1
$ pacman -Q frei0r-plugins
frei0r-plugins 1.6.1-7
$ ls -ls /usr/share/shotcut/qml/filters/elastic_scale
total 16
 4 -rw-r--r-- 1 root root 1983 21.10.2019 14:23 meta.qml
12 -rw-r--r-- 1 root root 8671 21.10.2019 14:23 ui.qml

Regards,

You are using a build not provided by us. That typically means it has different versions of dependencies, and there are many dependencies In this case, your distro is not using the git master version of feri0r-plugins, but I do because I am a frei0r developer but not a release manager. The project has been neglecting to make a new release, unfortunately.

1 Like

Ok good to know !
Thank you but mind you signal in shotcut release that it needs frei0r version X, melt version X ? Other project do that …

As it’s easy in Archlinux to switch from one version to another and to git master version as well, I was able to update to latest frei0r-plugins and now have elastic scale. Thank you for your help.